Summary:       Microsoft EMF (Enhanced Metafile) to SVG conversion library
Name:          libemf2svg
Version:       1.0.3
Release:       1%{?dist}
License:       GPLv2+
Source:        https://github.com/kakwa/libemf2svg/archive/%{version}.tar.gz
Patch1:        CMakeLists.txt.patch
URL:           https://github.com/kakwa/libemf2svg
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libpng-devel
BuildRequires: zlib-devel

%description
Microsoft EMF (Enhanced Metafile) to SVG conversion library

%package devel
Summary:       Development files for libemf2svg
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
The libemf2svg-devel package contains header files and documentation necessary
for developing programs using the emf2svg library.

%prep
%autosetup

%build
%cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
%make_build

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%license LICENSE
%doc README.md
%{_bindir}/emf2svg-conv
%{_libdir}/libemf2svg.so.1
%{_libdir}/libemf2svg.so.%{version}

%files devel
%{_libdir}/libemf2svg.so
%{_includedir}/emf2svg.h

%changelog
* Tue Nov 28 2017 spike <spike@fedoraproject.org> 1.0.3-1
- Initial package
